<?php

namespace App\Enums;

enum MenuType: int
{
    case DIRECTORY = 1;
    case MENU = 2;
    case BUTTON = 3;

    public function label(): string
    {
        return match ($this) {
            self::DIRECTORY => '目录',
            self::MENU => '菜单',
            self::BUTTON => '按钮',
        };
    }
}
